<table>
  <tbody>
    <tr>
      <td>
        Name: <%= @assignment.assignee.name %>
      </td>
    </tr>
    <tr>
      <td>
        Test Name: <%= @assignment.test.name %>
      </td>
    </tr>
    <tr>
      <td>
        Test Started Time: <%= @assignment.start_time.strftime("%I:%M %P") %>
      </td>
    </tr>
    <tr>
      <td>
        Test Ended Time: <%= @assignment.end_time.strftime("%I:%M %P") %>
      </td>
    </tr>
  </tbody>
</table>

<% total_correct_answers = 0 %>
<% summary = {} %>

<div style="padding-left: 10px; padding-top: 10px;">

  <% @sections.each do |section| %>
    <% correct_answers = 0 %>
    <strong style="padding-bottom: 5px;">
      <%= section.name %>
    </strong>
    <ol style="padding-left: 0;list-style-position: inside;">
      <% SectionQuestion.where(section_id: section.id).each do |sec_quest| %>
        <li style="margin-bottom: 15px;">
          <%= sec_quest.question.text %><br />
          <small>
            <i>
              <strong>Choices:</strong>
              <ol>
                <% Answer.where(question_id: sec_quest.question_id).each do |ans| %>
                  <li>
                    <%= ans.description %>
                    <%= "✓" if ans.is_correct? %>
                  </li>
                <% end %>
              </ol>
            </i>
          </small>

          <% if sec_quest.question.q_type == "multiple_answer" %>
            <% a = @result.answers[sec_quest.question.id.to_s].map(&:to_i) %>
              Answered:
              <% Answer.where(id: a).each do |ans| %>
                <div><%= ans.description %></div>
              <% end %>

              <% correct_ans_ids = sec_quest.question.answers.where(is_correct: true).map(&:id) %>
              <% if (correct_ans_ids - a).empty? and (a - correct_ans_ids).empty? %>
                <% correct_answers += 1 %>
              <% end %>
          <% elsif sec_quest.question.q_type == "theory" %>
            <%= @result.answers[sec_quest.question.id.to_s] %>
          <% else %>
            <% a = @result.answers[sec_quest.question.id.to_s] %>
            <div>
              Answered: 
              <% if a.present? %>
                <% selected_answer_obj = Answer.find(a) %>
                <% correct_answers += 1 if selected_answer_obj.is_correct? %>
                <%= selected_answer_obj.description %>
              <% end %>
            </div>
          <% end %> 
        </li>
      <% end %>
    </ol>

    <% total_correct_answers += correct_answers %>
    <% summary[section.id] = correct_answers %>
  <% end %>

</div>

<div style= "display: inline-block; width: 500px; padding: 10px; border: 2px solid lightgrey; line-height: 25px; color: #333; text-decoration: none; background-color: aliceblue; text-align: left;" >

  <% summary.each do |k, v| %>
    <% section = Section.find(k) %>
    <%= section.name %>,
    <%= v %>/<%= SectionQuestion.where(section_id: section.id).count %> <br />
  <% end %>

  Total correct answers: <%= total_correct_answers %>

</div>

<div style="margin-top: 10px;">
  <%if @assignment.status == "reviewed" && @assignment.feedback.present? %>
    Feedback: <%= @assignment.feedback %>
  <% end %>
</div>

<% if @assignment.status == "completed" %>
  <div style="padding-top: 10px;">
    <%= form_for :assignment, url: review_feedback_staff_user_assignment_path(@assignment.assignee.id, @assignment), method: :PUT do |f| %>
      <div class="group">
        <%= f.label :"Feedback:" %>
        <%= f.text_area :"feedback" %>
      </div>
      <div style="margin-top: 10px; text-align: center;">
        <%= f.submit "Send Feedback", class: "btn" %>
      </div>
    <% end %>
  </div>
<% end %>
